## org.apache.myfaces.util
Class NullEnumeration

    java.lang.Object
      org.apache.myfaces.util.NullEnumeration

All Implemented Interfaces:
  java.util.Enumeration

public final class NullEnumeration
extends java.lang.Object
implements java.util.Enumeration

Enumeration without elements

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Anton Koinov (latest modification by $Author: grantsmith $)

Constructor Summary
`NullEnumeration()`

Method Summary
`boolean` `hasMoreElements()`
`static NullEnumeration` `instance()`
`java.lang.Object` `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullEnumeration

    public NullEnumeration()

Method Detail

### instance

    public static final NullEnumeration instance()

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

### nextElement

    public java.lang.Object nextElement()

  Specified by:
    `nextElement` in interface `java.util.Enumeration`